sh_syscolors.d(1m)

NAME
sh_syscolors.d - trace Bourne shell flow plus syscalls, in color.

SYNOPSIS
sh_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This watches shell function entries and returns, and indents child function calls. Shell builtins, commands and lines are also printed. The filename for syscalls may be printed as the shell name, if the script was invoked using the form "shell filename" rather than running the script with an interpreter line.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_syscolors.d

FIELDS

C   CPU-id

PID Process ID

DELTA(us)
    Elapsed time from previous line to this line

FILE
    Filename of the shell script

LINE
    Line number of filename

TYPE
    Type of call (func/builtin/cmd/line/shell)

NAME
    Shell function, builtin or command name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)